Bug 1472734 - Puppet processes consuming the whole Passenger Process Pool
Puppet processes consuming the whole Passenger Process Pool
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity high (vote)
: Beta
: --
Assigned To: Eric Helms
jcallaha
: Triaged
Depends On:
Blocks: 1405533
  Show dependency treegraph
 
Reported: 2017-07-19 05:55 EDT by sbadhwar
Modified: 2018-02-21 11:42 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:42:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 21225 None None None 2017-10-05 14:27 EDT

  None (edit)
Description sbadhwar 2017-07-19 05:55:22 EDT
Description of problem:

With Satellite 6.3, the puppet is configured with PassengerMinInstances set to 16(as can be found in /etc/foreman-installer/scenarios.d/satellite-answers.yaml). Since, the default for PassengerMaxPoolSize is 12, the current setting for Puppet, doesn't allow foreman processes to run hence creating huge lag while running some operation that needs to go through foreman.

It will be better if the value for PassengerMinInstances be kept somewhere below the value of PassengerMaxPoolSize so as to allow room for foreman processes to run.
Comment 1 RHEL Product and Program Management 2017-08-01 14:16:27 EDT
Since this issue was entered in Red Hat Bugzilla, the pm_ack has been
set to + automatically for the next planned release
Comment 4 Eric Helms 2017-10-05 14:27:39 EDT
Created redmine issue http://projects.theforeman.org/issues/21225 from this bug
Comment 8 pm-sat@redhat.com 2017-10-26 12:16:03 EDT
Upstream bug assigned to ehelms@redhat.com
Comment 9 pm-sat@redhat.com 2017-10-26 12:16:06 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21225 has been resolved.
Comment 10 jcallaha 2017-11-02 13:58:42 EDT
Verified in Satellite 6.3 Snap 22.

Verified as part of https://bugzilla.redhat.com/show_bug.cgi?id=1405533#c8
Comment 11 Bryan Kearney 2018-02-21 11:40:15 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336
Comment 12 Bryan Kearney 2018-02-21 11:42:27 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.